## ignition-math2 2.2.3%2Bdfsg1

=== debian/control ===
Source: ignition-math2
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Testsuite: autopkgtest
Priority: extra
Build-Depends: cmake,
               debhelper (>= 9),
               libgtest-dev,
               python,
               ruby-ronn
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/gnition-math2.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ignition-math2.git
Homepage: http://ignitionrobotics.org/libraries/math

Package: libignition-math2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Ignition Robotics Math Library - Shared library
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Ignition Robtics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.

Package: libignition-math2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libignition-math2 (= ${binary:Version}),
         ${misc:Depends}
Description: Ignition Robotics Math Library - Development files
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Ignition Robtics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.

Package: libignition-math2-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libignition-math2 (= ${binary:Version}),
         ${misc:Depends}
Description: Ignition Robotics Math Library - Debugging symbols
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Ignition Robtics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
