## ignition-math2 2.2.3+dfsg1

=== debian/changelog ===
ignition-math2 (2.2.3+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 2.2.3
  * Missing files from bad merge of upstream branch

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 18 Sep 2015 00:55:39 +0200

ignition-math2 (2.2.2+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 2.2.2
  * Relax the error margin expected in Line test (Closes: #789826)
    Patch by Mathieu Trudel-Lapierre.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 25 Aug 2015 11:32:42 +0000

ignition-math2 (2.1.1+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 2.1.1 (Closes: #783522)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 19 Jun 2015 15:43:04 +0000
