=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: ignition-math2
+Standards-Version: 3.9.6
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: science
+Priority: extra
 Testsuite: autopkgtest
-Priority: extra
 Build-Depends: cmake,
                debhelper (>= 9),
                libgtest-dev,
                python,
                ruby-ronn
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/gnition-math2.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ignition-math2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ign-math.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/ign-math.git
 Homepage: http://ignitionrobotics.org/libraries/math
 
 Package: libignition-math2
 Architecture: any
+Section: libs
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
-Section: libs
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Description: Ignition Robotics Math Library - Shared library
  A small, fast, and high performance math library. This library is a
  self-contained set of classes and functions suitable for robot applications.
@@ -32,10 +31,10 @@
 
 Package: libignition-math2-dev
 Architecture: any
-Multi-Arch: same
 Section: libdevel
 Depends: libignition-math2 (= ${binary:Version}),
          ${misc:Depends}
+Multi-Arch: same
 Description: Ignition Robotics Math Library - Development files
  A small, fast, and high performance math library. This library is a
  self-contained set of classes and functions suitable for robot applications.
@@ -45,13 +44,15 @@
  encapsulate all the essentials, such as common math data types, console
  logging, 3D mesh management, and asynchronous message passing.
 
+
 Package: libignition-math2-dbg
 Architecture: any
-Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: libignition-math2 (= ${binary:Version}),
-         ${misc:Depends}
+Depends:
+     libignition-math2 (= ${binary:Version}),
+     ${misc:Depends}
+Multi-Arch: same
 Description: Ignition Robotics Math Library - Debugging symbols
  A small, fast, and high performance math library. This library is a
  self-contained set of classes and functions suitable for robot applications.
