=== debian/tests/control ===
Tests: build
Depends: libignition-math2-dev, build-essential
