=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 include (${project_cmake_dir}/Utils.cmake)
-include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 
 set (sources
   Angle.cc
@@ -26,6 +25,7 @@
   Kmeans_TEST.cc
   Line2_TEST.cc
   Line3_TEST.cc
+  MassMatrix3_TEST.cc
   Matrix3_TEST.cc
   Matrix4_TEST.cc
   Plane_TEST.cc
@@ -36,12 +36,25 @@
   SignalStats_TEST.cc
   Spline_TEST.cc
   Triangle_TEST.cc
+  Triangle3_TEST.cc
   Vector2_TEST.cc
   Vector3_TEST.cc
   Vector3Stats_TEST.cc
   Vector4_TEST.cc
 )
 
-ign_add_library(ignition-math${PROJECT_MAJOR_VERSION} ${sources})
+ign_add_library(${PROJECT_LIBRARY_TARGET_NAME} ${sources})
+
+# When the minimum CMake required version will be >= 3.1 
+# we could use the target_compile_features() command 
+# to enable C++11 support in a platform-independent way. 
+if(NOT MSVC)
+    target_compile_options(${PROJECT_LIBRARY_TARGET_NAME} PUBLIC "-std=c++11")
+endif()
+
+target_include_directories(${PROJECT_LIBRARY_TARGET_NAME}
+  PUBLIC $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
+         $<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR_FULL}>)
+
 ign_build_tests(${gtest_sources})
-ign_install_library(ignition-math${PROJECT_MAJOR_VERSION})
+ign_install_library(${PROJECT_LIBRARY_TARGET_NAME} ${PROJECT_EXPORT_NAME})
