=== include/ignition/math/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
   Kmeans.hh
   Line2.hh
   Line3.hh
+  MassMatrix3.hh
   Matrix3.hh
   Matrix4.hh
   Plane.hh
@@ -21,6 +22,7 @@
   SignalStats.hh
   Spline.hh
   Triangle.hh
+  Triangle3.hh
   Vector2.hh
   Vector3.hh
   Vector4.hh
@@ -35,5 +37,5 @@
 configure_file (${CMAKE_CURRENT_SOURCE_DIR}/math.hh.in
                 ${CMAKE_CURRENT_BINARY_DIR}/math.hh)
 
-ign_install_includes("${IGN_PROJECT_NAME}${PROJECT_MAJOR_VERSION}/ignition" ${CMAKE_CURRENT_BINARY_DIR}/math.hh)
-ign_install_includes("${IGN_PROJECT_NAME}${PROJECT_MAJOR_VERSION}/ignition/${IGN_PROJECT_NAME}" ${headers})
+ign_install_includes("${INCLUDE_INSTALL_DIR_POSTFIX}/ignition" ${CMAKE_CURRENT_BINARY_DIR}/math.hh)
+ign_install_includes("${INCLUDE_INSTALL_DIR_POSTFIX}/ignition/${IGN_PROJECT_NAME}" ${headers})
