=== debian/changelog ===
ignition-math2 (2.3.0-1) unstable; urgency=medium

  * Imported Upstream version 2.3.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 22 Feb 2016 17:20:30 +0000

ignition-math2 (2.2.3+dfsg1-4) unstable; urgency=medium

  * Include pkgconfig in dependencies for pkgautotest

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 06 Jan 2016 12:08:44 +0000

ignition-math2 (2.2.3+dfsg1-3) unstable; urgency=medium

  * Disable parallel testing
    (Closes: #789826)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 06 Jan 2016 00:19:18 +0100

ignition-math2 (2.2.3+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * [6c89ef3] Fix git-address.
  * [cfcd7c8] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Sat, 02 Jan 2016 15:24:53 +0100
