=== include/ignition/math/CMakeLists.txt ===
--- 
+++ 
@@ -8,23 +8,27 @@
   Frustum.hh
   Helpers.hh
   IndexException.hh
+  Inertial.hh
   Kmeans.hh
   Line2.hh
   Line3.hh
   MassMatrix3.hh
   Matrix3.hh
   Matrix4.hh
+  PID.hh
   Plane.hh
   Pose3.hh
   Quaternion.hh
   Rand.hh
   RotationSpline.hh
   SignalStats.hh
+  SphericalCoordinates.hh
   Spline.hh
+  Temperature.hh
   Triangle.hh
-  Triangle3.hh
   Vector2.hh
   Vector3.hh
+  Vector3Stats.hh
   Vector4.hh
 )
 
@@ -37,5 +41,5 @@
 configure_file (${CMAKE_CURRENT_SOURCE_DIR}/math.hh.in
                 ${CMAKE_CURRENT_BINARY_DIR}/math.hh)
 
-ign_install_includes("${INCLUDE_INSTALL_DIR_POSTFIX}/ignition" ${CMAKE_CURRENT_BINARY_DIR}/math.hh)
-ign_install_includes("${INCLUDE_INSTALL_DIR_POSTFIX}/ignition/${IGN_PROJECT_NAME}" ${headers})
+ign_install_includes("${IGN_PROJECT_NAME}${PROJECT_MAJOR_VERSION}/ignition" ${CMAKE_CURRENT_BINARY_DIR}/math.hh)
+ign_install_includes("${IGN_PROJECT_NAME}${PROJECT_MAJOR_VERSION}/ignition/${IGN_PROJECT_NAME}" ${headers})
