=== debian/changelog ===
ignition-math2 (2.5.0-3) unstable; urgency=medium

  * Added patch for disabling failing tests in some arches
    (Try to fix #847396)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 16 Dec 2016 21:19:50 +0000

ignition-math2 (2.5.0-2) unstable; urgency=medium

  * Use https URL for git repo
  * Fix VCS browser link
  * Update gtest system patch
    (Closes: #844880)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 28 Nov 2016 15:57:39 +0000

ignition-math2 (2.5.0-1) unstable; urgency=medium

  * Update standards
  * Fix virtual name
  * Added unconditional c++11 patch
  * Imported Upstream version 2.5.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 25 Jul 2016 16:59:43 +0000

ignition-math2 (2.4.1-1) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * Remove obsolete patch

  [ Leopold Palomo-Avellaneda ]
  * debhelper version must be greater because the --no-parallel option

  [ Jose Luis Rivero ]
  * Provide a virtual libsdformat-dev to help with library transtions
  * Imported Upstream version 2.4.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 16 Jul 2016 00:43:50 +0000
