=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
 .PHONY: override_dh_auto_configure \
-        override_dh_strip 
+        override_dh_strip \
+        override_dh_auto_test	
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -17,5 +18,8 @@
 override_dh_strip:
 	dh_strip -a --dbg-package=libignition-math2-dbg
 
+override_dh_auto_test:
+	dh_auto_test $@ --no-parallel --buildsystem=cmake
+
 %:
 	dh $@ --parallel --buildsystem=cmake
